# $Revision: 1.6 $, $Date: 2004/12/05 12:34:00 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	MasonX
%define		pnam	Resolver-Polyglot
Summary:	MasonX::Resolver::Polyglot - component path resolver for easy internationalization
Summary(pl):	MasonX::Resolver::Polyglot - resolver cieek komponentw do atwego umidzynaradawiania
Name:		perl-MasonX-Resolver-Polyglot
Version:	0.7
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	938ed09d946569a1adbcd55a6031d921
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-HTML-Mason >= 1.1
BuildRequires:	perl-Locale-Codes
BuildRequires:	perl(Locale::Country) >= 2.06
BuildRequires:	perl(Locale::Language) >= 2.02
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This HTML::Mason::Resolver::File::ApacheHandler subclass enables Mason
to determine the client's language preference and find the best
matching component to fulfill it.

%description -l pl
Ta podklasa HTML::Mason::Resolver::File::ApacheHandler umoliwia
Masonowi okrelanie preferowanego przez klienta jzyka i odnajdywania
najlepszego pasujcego komponentu, aby sprosta preferencjom.

%prep
%setup -q -n %{pdir}-%{pnam}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/MasonX/*/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-MasonX-Resolver-Polyglot.spec,v $
Revision 1.6  2004/12/05 12:34:00  radek
- version 0.7

Revision 1.5  2004/11/03 22:30:33  paladine
- formatting

Revision 1.4  2004/11/03 13:00:26  paladine
- spaces->tabs

Revision 1.3  2004/08/26 11:06:11  radek
- BR: perl-Locale-Codes

Revision 1.2  2004/06/05 13:52:59  qboosh
- pl, cosmetics

Revision 1.1  2004/06/04 22:52:03  radek
- new
